LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
RealRectangle2D Struct Reference

This structure contains the necessary information for a two-dimensional rectangle. More...

`import"RealRectangle2D.idl";`

## Public Attributes
double | X1
| X coordinate of upper left corner . More...
double | Y1
| Y coordinate of upper left corner. More...
double | X2
| X coordinate of lower right corner. More...
double | Y2
| Y coordinate of lower right corner. More...

## Detailed Description

This structure contains the necessary information for a two-dimensional rectangle.

Since
  OOo 2.0

## Member Data Documentation

## ◆ X1

double X1

X coordinate of upper left corner .

## ◆ X2

double X2

X coordinate of lower right corner.

Must be greater than x1 for non-empty rectangles.

.

## ◆ Y1

double Y1

Y coordinate of upper left corner.

## ◆ Y2

double Y2

Y coordinate of lower right corner.

Must be greater than y1 for non-empty rectangles.

The documentation for this struct was generated from the following file:

- com/sun/star/geometry/RealRectangle2D.idl